<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  // Array
  const values = [2, 4, 6, 7, 9];
  import { scaleLog } from "d3-scale";
 
  const scalevalues = scaleLog().domain([1,10]).range([0,innerWidth]);
  
  // notes: The domain is the complete set of values, the range is the set of resulting vales of a function
  
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as value}  
    <circle r=10 cy={innerHeight/2} cx={scalevalues(+value)} fill="blue"/>
   {/each}
  </g>
</svg>
